get
/v2/Incidents/{id}/Events
Returns the history of events associated with the incident specified by identifier under the following conditions:
- The incident is not closed.
- The authenticated Security Center user has incident management privileges.
With Third-party integration mode or Incident report privileges, you can retrieve incident events history irrespective of incident state.
Current limitation: the total results count value will always be null.
Path parameters
id
String
required
Guid/Uuid of the required incident.
_Example:_ `ADBD25C1-127C-4D05-898D-CCF82D8DB59F`
Example:
id_example
Query parameters
dateTimeFrom
Date
date-time
This query parameter allows you to retrieve events that were generated after the provided date.
<br />You can specify date in either of the following formats:
<br /><ul><li>Local date and time format: yyyy-mm-dd hh:mm:ss</li><li>UTC format: yyyy-mm-ddThh:mm:ssZ</li></ul>
Example:
2013-10-20T19:20:30+01:00
dateTimeTo
Date
date-time
This query parameter allows you to retrieve events that were generated before the provided date.
<br />You can specify date in either of the following formats:
<br /><ul><li>Local date and time format: yyyy-mm-dd hh:mm:ss</li><li>UTC format: yyyy-mm-ddThh:mm:ssZ</li></ul>
Example:
2013-10-20T19:20:30+01:00
eventTypes
array[Integer]
int32
This query parameter allows you to retrieve events that match the specified event type identifier.
<br /> You can provide multiple identifiers separated by commas.
offset
Integer
int32
This query parameter allows you to set the number of items to be skipped.
<br />The default value for this parameter is 0.
Example:
56
Responses